{
  "accUserMode" : 2,
  "caption" : "分页导航视图布局面板",
  "codeName" : "ViewLayoutModelRepositoryDETabExpViewLayout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ViewLayoutModelRepositoryDETabExpViewLayout.json",
  "name" : "ViewLayoutModelRepositoryDETabExpViewLayout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/ModelRepository.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TabExpView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "DETabExpViewLayouttabexppanel",
    "controlType" : "TABEXPPANEL",
    "name" : "tabexppanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "tabLayout" : "TOP",
    "uniqueTag" : "ViewLayoutModelRepositoryDETabExpViewLayout__tabexppanel",
    "modelid" : "90AD5126-AB10-48D1-9975-3842A919201D_tabexppanel",
    "modeltype" : "PSTABEXPPANEL"
  }, {
    "caption" : "分页导航视图布局面板",
    "codeName" : "DETabExpViewLayoutcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "DETabExpViewLayout",
  "getPSDEViewId" : "B33A4457-0B8A-410E-916E-A3448A6841DE",
  "getPSViewLayoutPanel" : {
    "codeName" : "TabExpViewLayout",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "分页导航视图布局面板",
    "memo" : "分页导航视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/ViewLayoutModelRepository.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "contentHeight" : 54.0,
      "height" : 54.0,
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_header",
      "getPSLayout" : {
        "dir" : "row",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "height" : 54,
        "heightMode" : "PX",
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container3",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "标题占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "captionbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container4",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "分页导航",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "tabexppanel",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container2",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "导航区占位",
        "itemStyle" : "DEFAULT",
        "itemType" : "RAWITEM",
        "name" : "nav_pos",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSRawItem" : {
          "name" : "nav_pos",
          "predefinedType" : "NAV_POS"
        },
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "5AD7A0D2-3019-4B91-9E09-0D0D7D643DDA",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "tabLayout" : "TOP",
  "title" : "分页导航视图布局面板",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETABEXPVIEW",
  "enableDP" : true,
  "enableQuickSearch" : false,
  "enableSearch" : false,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "showDataInfoBar" : true,
  "modelid" : "90AD5126-AB10-48D1-9975-3842A919201D",
  "modeltype" : "PSAPPDEVIEW"
}